# Package com.logicaldoc.core.metadata

package com.logicaldoc.core.metadata
Package that collects the template and attribute sets definitions.
Many objects of the LogicalDOC platform are extensible and can store your custom metadata, they are all those that extends the `ExtensibleObject`.

Since:
  1.0
See Also:
  - `Attribute`
  - `Template`
  - `AttributeSet`

Related Packages
Package
Description
com.logicaldoc.core
Core plug-in that contains the most important domain objects
com.logicaldoc.core.metadata.initialization
Package that contains classes used to initialize extensible objects metadata, `ExtensibleObject`.
com.logicaldoc.core.metadata.validation
Package that contains classes used to validate extensible objects metadata, `ExtensibleObject`.
Class
Description
AbstractAttributeSet
A base class for attribute sets and templates
Attribute
This class defines the value of an attribute associated to an extensible object.
AttributeOption
Represents an option for a multi-choice attribute
AttributeOptionDAO
DAO for `AttributeOption` handling.
AttributeSet
Represents a set of attributes
AttributeSetDAO
This class is a DAO-service for attribute sets.
Extensible
Interface to be implemented by those `PersistentObject`s that have extensible attribtues
ExtensibleObject
An extensible object is able to store an indeterminate number of attributes.
HibernateAttributeOptionDAO
Hibernate implementation of `AttributeOptionDAO`
HibernateAttributeSetDAO
Hibernate implementation of `TemplateDAO`
HibernateTemplateDAO
Hibernate implementation of `TemplateDAO`
Template
A template collects a set of attributesets ant is itself an extensible object.
TemplateDAO
This class is a DAO-service for document templates.